Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
'Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
'Imports CharterDotCom.CommonEntities.Library.EntityG2BServices
Imports CharterDotCom.WebSite.Library
' Imports CharterDotCom.Common.Logging

Partial Class Members_InternetTools
    Inherits CharterCMSPage

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("Internet Tools")
        'Logger.WebLog("\UI\Account\InternetTools")

        If Application("MY_ACCOUNT_CMS_ENABLED") IsNot Nothing AndAlso Application("MY_ACCOUNT_CMS_ENABLED").ToString().Trim() = "T" Then
            Me.panelNew.Visible = True
            Me.panelContent1.Visible = False
            Me.panelContent2.Visible = True
        Else
            If Not IsPostBack() Then
                AccountManager.Instance.GetEmailAccounts()
            End If
            ucManageEmailAccounts.Account = AccountManager.Instance.GetAccount()
            displayNewPanel()
            Me.panelContent1.Visible = True
            Me.panelContent2.Visible = False
        End If


    End Sub

    Private Sub displayNewPanel()
        Me.BrowseSupport.isNewPanel = True
        Me.BrowseSupport.Productategory = MenuItem.MyAccount
        Me.panelNew.Visible = True
    End Sub

End Class

